%define         srcname       wmCalClock
%define         srcdirname    Src

Name:           wmcalclock
Version:        1.25
Release:        %mkrel 12
Summary:        A dock application giving the current date and time
License:        GPLv2
Group:          Graphical desktop/Other

URL:            https://en.wikipedia.org/wiki/Wmcalclock
Source0:        https://www.cs.mun.ca/~gstarkes/wmaker/dockapps/files/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)

# Older windowmaker packages contain built-in wmcalclock
Conflicts:      windowmaker < 0.95.0-2

%description
wmCalClock is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the current
date and time, but can be set to give the Greenwich and local sidereal times at
any location.


%prep
%setup -q -n %{srcname}-%{version}

%build
%make_build -C %{srcdirname} CFLAGS="%{optflags} -fcommon" LDFLAGS="%{ldflags}"

%install
install -D -m 755 %{srcdirname}/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcdirname}/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc BUGS CHANGES COPYING HINTS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.25-12.mga9
+ Revision: 1835309
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 joequant <joequant> 1.25-11.mga8
+ Revision: 1602574
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.25-10.mga8
+ Revision: 1518148
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.25-9.mga7
+ Revision: 1301681
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.25-8.mga6
+ Revision: 931315
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.25-7.mga5
+ Revision: 748695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.25-6.mga5
+ Revision: 690328
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.25-5.mga4
+ Revision: 520147
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.25-4.mga3
+ Revision: 385723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.25-3.mga3
+ Revision: 324967
- clean .spec a bit

* Fri Jan 13 2012 kamil <kamil> 1.25-2.mga2
+ Revision: 195480
- add conflicts with older windowmaker that has built-in wmCalClock

* Fri Jan 13 2012 kamil <kamil> 1.25-1.mga2
+ Revision: 195458
- update group
- clean spec
+ eatdirt <eatdirt>
- imported package wmcalclock


* Tue Oct 18 2011 Chris Ringeval <dirteat@gmail.com> 1.25-1.mga2
- import wmcalclock (standalone w.r.t the one provided by WindowMaker)
